Bug 475231 - Crash on console tty->driver_data dereference (scribble ?)
Crash on console tty->driver_data dereference (scribble ?)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 11:25 EST by Curtis Doty
Modified: 2009-12-18 02:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:12:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen cap of oops (37.61 KB, image/png)
2008-12-08 11:26 EST, Curtis Doty
no flags Details

  None (edit)
Description Curtis Doty 2008-12-08 11:25:18 EST
See attached. Issuing shutdown -r now on console caused sh process to immediately oops kernel--before the shutdown was even initiated.

Kernel: 2.6.27.5-117.fc10.x86_64
Hardware: HP ProLiant DL360 G5
Comment 1 Curtis Doty 2008-12-08 11:26:22 EST
Created attachment 326141 [details]
screen cap of oops
Comment 2 Chuck Ebbert 2008-12-08 13:24:36 EST
int vt_ioctl(struct tty_struct *tty, struct file * file,
             unsigned int cmd, unsigned long arg)
{
        struct vc_data *vc = (struct vc_data *)tty->driver_data;
        struct console_font_op op;      /* used in multiple places here */
        struct kbd_struct * kbd;
        unsigned int console;
        unsigned char ucval;
        void __user *up = (void __user *)arg;
        int i, perm;
        int ret = 0;

==>     console = vc->vc_num;


vc is NULL, i.e. tty->driver_data is NULL
Comment 4 Jerry Vonau 2009-04-12 15:15:00 EDT
*** Bug 495376 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2009-11-18 05:23:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:12:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.